
Foreman - Bug #1075

Foreman does not recogize cycling dependencies as errors

07/29/2011 08:09 AM - Alexey Malov

Status: Duplicate   

Priority: Normal   

Assignee: Ohad Levy   

Category: Puppet Reports   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When puppet report contaisn error with "Could not apply complete catalog: Found dependency cycles in the following relationships:

..." Foreman does not recognize this report as error. Foreman version is  0.3-1

Here are screenshots:

https://lh4.googleusercontent.com/-HIhZK4CeyoI/TjKiK0E2dxI/AAAAAAAAAO0/_6J7tsJHvRM/s640/2.png

https://lh5.googleusercontent.com/-lRzfSPGZ-FU/TjKiL62nTMI/AAAAAAAAAO4/yn5ufDLhiSk/s640/1.png

History

#1 - 07/29/2011 08:42 AM - Ohad Levy

which version of puppet? it might be related to #855

#2 - 07/29/2011 08:45 AM - Alexey Malov

Ohad Levy wrote:

which version of puppet? it might be related to #855

 2.6.2. Okay, we'll try at newer version of puppet.

#3 - 08/15/2011 06:50 AM - Ohad Levy

- Status changed from New to Duplicate
